Skip to main content

Java error- help needed

3 replies [Last post]
aruneapen
Offline
Joined: 2004-06-29

I am getting this error in the log file
Exception in thread "main" java.lang.UnsatisfiedLinkError:
/usr/java/jdk1.5.0/jre/lib/i386/libj3dcore-ogl.so:
/usr/java/jdk1.5.0/jre/lib/i386/libj3dcore-ogl.so: symbol
glMultiDrawArraysEXT, version LIBGL not defined in file libGL.so.1 with
link time reference
at java.lang.ClassLoader$NativeLibrary.load(Native Method)
at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1739)
at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1656)
at java.lang.Runtime.loadLibrary0(Runtime.java:821)
at java.lang.System.loadLibrary(System.java:991)
at javax.media.j3d.MasterControl$24.run(Unknown Source)
at java.security.AccessController.doPrivileged(Native Method)
at javax.media.j3d.MasterControl.loadLibraries(Unknown Source)
at javax.media.j3d.VirtualUniverse.(Unknown Source)
at javax.media.j3d.Canvas3D.(Unknown Source)
at java.lang.Class.forName0(Native Method)
at java.lang.Class.forName(Class.java:164)
at
org.jdesktop.lg3d.displayserver.AppConnector.platformCheck(AppConnector.java:177)
at
org.jdesktop.lg3d.displayserver.AppConnector.(AppConnector.java:51)
at
org.jdesktop.lg3d.displayserver.AppConnector.getAppConnector(AppConnector.java:78)
at
org.jdesktop.lg3d.displayserver.socketconnector.ServerHandler.(ServerHandler.java:73)
at
org.jdesktop.lg3d.displayserver.socketconnector.ServerHandler.main(ServerHandler.java:29

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
sujayje
Offline
Joined: 2004-06-30

Try using java3d 1.3.1 . I had similar issues using java3d 1.3.2. Even though you get a message saying that it needs 1.3.2 , it still works.

Deron Johnson

You don't want to use java3d 1.3.1. While testing lg3d on Java3D 1.3.1
we encountered a very significant problem with it: when you mouse around
the window minimization button, lg3d can crash. This bug was fixed in
Java3D 1.3.2. One person has even reported that using Java3D 1.3.1 with
lg3d hard hangs his machine.

lg3d-interest@javadesktop.org wrote:
> Try using java3d 1.3.1 . I had similar issues using java3d 1.3.2. Even though you get a message saying that it needs 1.3.2 , it still works.
> ---
> [Message sent by forum member 'sujayje' (sujay)]
>
> http://www.javadesktop.org/forums/thread.jspa?messageID=13799&#13799
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: interest-unsubscribe@lg3d.dev.java.net
> For additional commands, e-mail: interest-help@lg3d.dev.java.net
>

---------------------------------------------------------------------
To unsubscribe, e-mail: interest-unsubscribe@lg3d.dev.java.net
For additional commands, e-mail: interest-help@lg3d.dev.java.net

loveyohed
Offline
Joined: 2006-02-17

From the Getting Started documentation:

"Exception in thread "main" java.lang.UnsatisfiedLinkError: /usr/java/jdk1.5.0/jre/lib/i386/libj3dcore-ogl.so: /usr/java/jdk1.5.0/jre/lib/i386/libj3dcore-ogl.so: symbol glMultiDrawArraysEXT, version LIBGL not defined in file libGL.so.1 with link time reference

This problem has not yet been resolved. Users with the ATI Radeon 7500 card have experienced this problem. This prevents LG3D from starting up. We are actively working on a fix for this problem. Thank you for your patience."

Maybe this applies to you. I have a Radeon 9200SE and this error occurs on my machine.